package org.monaka.book.android.camera;

import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.SurfaceView;
import android.view.Window;
import android.view.WindowManager;

public class CameraActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		getWindow().addFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.main);

		CameraPreview cameraPreview = (CameraPreview) findViewById(R.id.CameraPreview);
		SurfaceView surfaceView = (SurfaceView) findViewById(R.id.surfaceView);

		Bitmap kaodashiBitmap = BitmapFactory.decodeResource(getResources(),
				R.drawable.aduchan);
		PreviewCallback previewCallback = new PreviewCallback(kaodashiBitmap,
				surfaceView);
		cameraPreview.setPreviewCallback(previewCallback);
	}
}